import { defineStore } from "pinia";

import piniaPersistConfig from "@/config/piniaPersist";

export const useUserStore = defineStore({
    id: "wms-user",
    state: () => ({
        languageValue: 1
    }),
    getters: {},
    actions: {
        setLanguageValue(val: any) {
            this.languageValue = val;
        }
    },
    persist: piniaPersistConfig("wms-user")
});
